<?php
namespace EasyVideoReviews;

defined('ABSPATH') or die('NOT ALLOWED');

/**
 * Evr Single Video
 */
if (!class_exists('\EasyVideoReviews\Embed')) {
    class Embed
    {
        public $response = false;

        /**
         * Initialization of the class
         */
        static function init($video_short = null)
        {
            /**
             * Intance
             */
            $instance = new self;

            $token = esc_html(get_option('evr_token'));

            /**
             * Get Remote data
             */
            $response = wp_remote_get(\EasyVideoReviews\App::get_remote_url() . "wp-json/evr/v1/videos/?short={$video_short}&wrat={$token}");

            $response = wp_remote_retrieve_body($response);
 

            if ($response) {
                try {
                    $response = json_decode($response);
                    if ($response && !empty($response)) $instance->response = $response[0];
                } catch (\Exception $e) {
                    // do nothing 
                    evr_log($e);
                }
            }

            $instance->register_hooks();
            return $instance;
        }
        /**
         * Register related hooks
         */
        function register_hooks()
        {
            add_filter("pre_get_document_title", [$this, 'single_video_testimonial_custom_title'], 12);
        }

        /**
         * Custom Page Title
         */
        function single_video_testimonial_custom_title()
        {
            return $this->response['url'];
        }
    }
}
