<?php

namespace EasyVideoReviews;

if (!class_exists("\EasyVideoReviews\Block")) :

    /**
     * Easy Video Review Gutenburg Block
     */

    class Block
    {

        /**
         * Class Init
         */

        function init()
        {
            add_filter('block_categories_all', [$this, 'evr_block_categories'], 10, 2);
            add_action('init', [$this, 'register_evr_blocks']);
        }


        /**
         * Register EVR Gutenburg Block Category
         */

        function evr_block_categories( $categories )
        {
             
            return array_merge(
                $categories,
                array(
                    array(
                        'slug' => 'evr_blocks',
                        'title' => __('Easy Video Reviews', 'easy-video-reviews'),
                        'icon'  => 'microphone',
                    ),
                )
            );
        }


        /**
         * Register EVR Gutenburg Blocks
         */

        function register_evr_blocks()
        {
            if (!function_exists('register_block_type')) {
                return;
            }
  
            wp_register_script(
                'evr-editor-script',
                plugin_dir_url(__FILE__) . '/blocks/index.js',
                ['react', 'wp-block-editor', 'wp-components', 'wp-element'],
                microtime(),
                true
            );

            // Array of block created 
            $blocks = [
                'evr/button',
                'evr/showcase',
            ];

            foreach ($blocks as $block) {
                register_block_type($block, array(
                    'editor_script' => 'evr-editor-script',                    // Calls registered script above                // Calls registered stylesheet above
                ));
            }
        }
    }


    /**
     * Init the class
     */


    $block = new \EasyVideoReviews\Block();
    $block->init();

endif;