<v-section v-if="isScreen('plans')">
  <div class="mt-6 flex items-center flex-col min-h-screen text-sm w-full">

    <!-- heading  -->
    <div class="flex items-center justify-between gap-3">
      <div class="text-3xl font-bold text-gray-700">
        <?php echo esc_html__('Simple and Easy Pricing Plan', 'easy-video-reviews') ?>
      </div>
    </div>

    <div class="text-gray-500 text-sm my-2">
      <?php echo esc_html__('Choose a Pricing Plan that suits you.', 'easy-video-reviews') ?>
    </div>

    <!-- billing cycle toggler  -->
    <div v-if="planIntervals && planIntervals.length > 1" class="my-5 inline-flex items-center justify-center bg-sky-500 text-white rounded-md p-1">
      <button v-for="(label, interval) in planIntervals" 
      @click.prevent="package_options.interval = interval" 
      :class="package_options.interval == interval ? ['bg-white', '', 'text-gray-700', ''] : ['bg-transparent', 'text-white']" 
      class="h-10 w-32 px-2 rounded-md cursor-pointer text-md font-medium tracking-wider ">{{label}}</button>
    </div>

    <!-- plans  -->
    <div class="my-10 w-full">
      
      <div class="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-4 gap-2 sm:gap-4 w-full">
        <plan :plan="freePlan" v-show="plan && plan.meta" color="orange"></plan>
        <plan v-for="plan in proPlans" :show="plan && plan.meta && plan.billing_interval === package_options.interval" :plan="plan" :color="plan.meta.is_featured ? 'sky' : 'purple'" />
      </div>
    </div>

    <div class="flex items-center justify-center flex-col my-6">
      <v-button @click.prevent="customQuota"><?php echo esc_html__('Looking for customized plan?', 'easy-video-reviews'); ?></v-button>
    </div>

    <div class="py-8 ">
      <div class="text-center">
        <h2 class="py-5 text-2xl text-gray-600 font-medium">14 days money back guarantee</h2>
      </div>
      <img class="w-full max-w-sm m-auto" src="<?php echo esc_url(EVR_PUBLIC . 'images/secure-payment.png'); ?>" alt="">
    </div>


  </div>
</v-section>