<v-section v-if="isScreen('subscription')">

    <!-- subscription information -->
    <div class="text-sm grid grid-cols-1 gap-5 mt-6 mb-10" :class="{
        'sm:grid-cols-3' : subscription,
        'sm:grid-cols-2' : !subscription,
    }">
 


        <!-- current plan  -->

        <block small v-if="subscription">
            <v-title>
                <?php echo __('Current Plan', 'easy-video-reviews'); ?>
                <span v-if="isPro" class="bg-green-50 text-green-600 px-2 py-1 border border-green-100 text-sm rounded-sm"><span class="dashicons dashicons-awards"></span> Premium</span>
                <span v-else class="bg-orange-50 text-orange-600 px-2 py-1 border border-orange-100 text-xs rounded-sm cursor-pointer" @click.prevent="setScreen('plans')">Upgrade</span>
            </v-title>

            <div class="flex flex-col gap-3 text-gray-700">
                <h2 class="text-xl font-medium"> {{currentPlan.name || 'Custom'}} </h2>
                <div>
                    <?php echo __('Upto ', 'easy-video-reviews'); ?>
                    <strong>{{currentPlan.meta.max_websites.toString().replace('-1', 'unlimited')}}</strong>
                    <?php echo __('website(s)', 'easy-video-reviews'); ?>
                </div>
                <div>
                    <?php echo __('Upto', 'easy-video-reviews'); ?>
                    <strong>{{getMinutes(subscription.max_seconds || 120) }}</strong>
                    <?php echo __('minutes recording', 'easy-video-reviews'); ?>
                </div>
                <div>
                    <?php echo __('Upto', 'easy-video-reviews'); ?>
                    <strong>{{subscription.max_videos_per_month.toString().replace('-1', 'unlimited')}}</strong>
                    <?php echo __('videos each month', 'easy-video-reviews'); ?>
                </div>
                <div>
                    <?php echo __('Upto', 'easy-video-reviews'); ?>
                    <strong>{{subscription.max_videos.toString().replace('-1', 'unlimited')}}</strong>
                    <?php echo __('video reviews', 'easy-video-reviews'); ?>
                </div>
            </div>

        </block>


        <!-- current subscription  -->

        <block small>
            <v-title> <?php echo __('Billing', 'easy-video-reviews'); ?> </v-title>

            <div class="flex flex-col gap-2">
                <row no_margin>
                    <col-label small><?php echo __('Started on', 'easy-video-reviews'); ?></col-label>
                    <div class="w-full"> {{subscription.started || ''}}</div>
                </row>

                <row no_margin>
                    <col-label small><?php echo __('Next billing', 'easy-video-reviews'); ?></col-label>
                    <div class="w-full">{{subscription.next_billing || ''}}</div>
                </row>

                <row no_margin v-if="Number(subscription.flat_price) > 0 || Number(subscription.unit_price) == 0">
                    <col-label small><?php echo __('Payable', 'easy-video-reviews'); ?></col-label>
                    <div class="w-full">
                        <strong v-if="Number(subscription.flat_price) > 0 || Number(subscription.unit_price) == 0">
                            ${{subscription.flat_price}}</strong> /{{subscription.billing_interval}}
                        <strong v-if="Number(subscription.flat_price) > 0 && Number(subscription.unit_price) > 0"> </strong>
                        <span v-if="Number(subscription.unit_price) > 0"><?php echo __('and', 'easy-video-reviews'); ?></span>
                        <strong v-if="Number(subscription.unit_price) > 0">${{subscription.unit_price}}/<?php echo __('video', 'easy-video-reviews'); ?>/{{subscription.billing_interval}}</strong>
                    </div>
                </row>

                <row no_margin>
                    <col-label small><?php echo __('Payment', 'easy-video-reviews'); ?></col-label>
                    <div class="w-full">{{subscription.is_stripe_customer ? 'via Stripe' : 'Manual'}}</div>
                </row>

                <div class="mt-4 flex items-center" if="subscription && subscription.id">
                    <v-button size="sm" :loading="temp.redirectingToPortal" message="Redirecting..." @click.prevent="manageSubscription"><?php echo __('Manage subscription', 'easy-video-reviews'); ?></v-button>
                </div>
            </div>
        </block>



        <!-- usage  -->
        <block small v-if="subscription && websites">
            <v-title>Quick Overview</v-title>
            <block small>
                <v-progress :max="subscription.max_videos || 20" :value="reviews ? reviews.items && reviews.items.length : subscription.reviews || 0">Reviews Uploaded</v-progress>
            </block>
            <block small>
                <v-progress :max="subscription.max_videos_per_month || 20" :value="reviews ? reviews.items && reviews.items.length : subscription.reviews_current_month || 0">Uploaded in {{subscription.current_month}}</v-progress>
            </block>
            <block small>
                <v-progress :max="subscription.max_websites || 1" :value="websites.length || 1">Websites Added</v-progress>
            </block>
        </block>

    </div>



</v-section>