<v-section v-if="isScreen('websites')">

    <!-- top navigation  -->

    <row class="justify-between">
        <v-title no_margin><?php echo wp_sprintf('Total %s website(s)', '{{websites.length}}'); ?></v-title>
        <div class="flex gap-3 text-xs">
            <div>Active: <strong>{{websites.filter(w => w.blacklisted != 1 && w.status == 'active').length || 0}}</strong></div>
            <div>Logged-out: <strong>{{websites.filter(w => w.blacklisted != 1 && w.status == 'inactive').length || 0}}</strong></div>
            <div>Blacklisted: <strong>{{websites.filter(w => w.blacklisted == 1).length || 0}}</strong></div>
        </div>
    </row>

    <div class="flex flex-col border border-gray-100 rounded-sm">
        <div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
            <div class="py-2 inline-block min-w-full sm:px-6 lg:px-8">
                <div class="overflow-hidden">
                    <table class="min-w-full">
                        <thead class="border-b border-slate-50">
                            <tr>
                                <th scope="col" class="text-sm font-medium text-gray-700 px-6 py-4 text-left">
                                    <?php echo __('Website', 'easy-video-reviews') ?>
                                </th>
                                <th scope="col" class="text-sm font-medium text-gray-700 px-6 py-4 text-center">
                                    <?php echo __('Reviews', 'easy-video-reviews') ?>
                                </th>
                                <th scope="col" class="text-sm font-medium text-gray-700 px-6 py-4 text-center">
                                    <?php echo __('Status', 'easy-video-reviews') ?>
                                </th>
                                <th scope="col" class="text-sm font-medium text-gray-700 px-6 py-4 text-left">
                                    <?php echo __('Added on', 'easy-video-reviews') ?>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="border-b border-slate-100 last:border-none" v-for="website in websites">
                                <td class="group text-sm text-gray-700  px-6 py-4 whitespace-nowrap flex items-center gap-1">
                                    {{website.website}}
                                    <a class="text-sky-600 opacity-0 group-hover:opacity-100 transition duration-75" :data-tooltip="`Go to ${website.website}`" :href="`https://${website.website}/`" target="_blank" rel="nofollow">
                                        <span class="dashicons dashicons-admin-links text-sm"></span>
                                    </a>
                                </td>
                                <td class="group text-sm text-gray-700  px-6 py-4 whitespace-nowrap text-center">
                                    {{website.reviews}}
                                    <a class="text-sky-600 opacity-0 group-hover:opacity-100 transition duration-75" data-tooltip="Access Reviews" :href="`https://${website.website}/wp-admin/admin.php?page=easy-video-reviews`" target="_blank" rel="nofollow">
                                        <span class="dashicons dashicons-format-gallery text-sm"></span>
                                    </a>
                                </td>
                                <td class="text-sm text-gray-700 px-6 py-4 whitespace-nowrap text-center">
                                    <span v-if="website.blacklisted == 1" class=" w-20 bg-red-50 text-red-600 px-3 py-1.5 rounded-md text-center">Blacklisted</span>
                                    <template v-else>
                                        <span v-if="website.status === 'active'" class="w-20 bg-green-50 text-green-600 px-3 py-1.5 rounded-md text-center">Active</span>
                                        <span v-else class="w-20 bg-orange-50 text-orange-500 px-3 py-1.5 rounded-md text-center">Logged out</span>
                                    </template>
                                </td>
                                <td class="text-sm text-gray-700  px-6 py-4 whitespace-nowrap">
                                    {{moment(website.created).format('MMMM Do YYYY, h:mm:ss a')}}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>


    <block class="prose my-6">
        If any website seems mysterious here, please report us at support@wppool.dev
    </block>

</v-section>