<div class="flex flex-col sm:flex-row gap-2 bg-white flex-nowrap" @click="!isPro ? toggleFalseDoor() : false">
    <div class="w-72 max-w-full bg-gray-50 min-h-screen">
        <div class="flex flex-col gap-0.5">
            <a class="inline-flex items-center gap-2 px-4 py-3 text-gray-400 font-semibold text-sm whitespace-nowrap">
                <img src="<?php echo EVR_PUBLIC; ?>images/evr.svg" class="w-5">
                <?php echo __('Easy Video Reviews', 'easy-video-reviews') ?>
            </a>
            <a v-for="extension in extensions" @click.prevent="setScreen(extension.id)" class=" font-semibold flex items-center gap-2 px-4 py-3 cursor-pointer hover:bg-sky-700 hover:text-white font-medium text-sm border-t border-gray-100 last:border-none transition duration-100" :class="{'bg-sky-700 text-white' : isScreen(extension.id), 'text-gray-600' :  !isScreen(extension.id)}">
                <img v-if="extension.icon_url" :src="extension.icon_url" class="w-5 rounded-full">
                <span v-else class="w-5" :class="extension.icon"></span>
                {{extension.name}}
            </a>
        </div>
    </div>
    <div class="w-full p-4 sm:p-6 pro" v-if="preference && extensions" :class="{
        'pointer-events-none opacity-50': !isPro
    }">
        <?php do_action('evr_extension_form'); ?>
        <div class="text-center sm:text-right">
            <v-button @click.prevent="savePreferences" :loading="temp.savingPreference" message="Saving.."><?php echo esc_html__('Save settings', 'easy-video-reviews'); ?></v-button>
        </div>
    </div>
</div>

<?php
$navs = apply_filters('evr_extensions', []);
?>
<script>
    var _evr_screen = '<?php echo esc_html($navs[0]['id']); ?>'
</script>