<div @click="woocommerceActiveNotice">

  <v-title>
    <?php echo esc_html__('WooCommerce', 'easy-video-reviews'); ?> <pro>
  </v-title>

  <row :class="{'pointer-events-none opacity-70': !isWooCommerceActive }">
    <col-label><?php echo esc_html__('Single Product Page', 'easy-video-reviews'); ?></col-label>

    <div class="flex flex-col gap-3 w-full">
      <v-switch v-model="preference.woocommerce.single_tab"><?php echo __('Show Video Reviews Tab', 'easy-video-reviews'); ?></v-switch>
      <v-switch v-model="preference.woocommerce.single_tab_hide_default"><?php echo __('Hide Default Reviews Tab', 'easy-video-reviews'); ?></v-switch>
      <v-switch v-model="preference.woocommerce.single_button"><?php echo __('Show Recorder Button', 'easy-video-reviews'); ?></v-switch>
      <v-switch v-model="preference.woocommerce.single_tab_showcase"><?php echo __('Show Reviews', 'easy-video-reviews'); ?></v-switch>
    </div>
  </row>

  <row small  :class="{'pointer-events-none opacity-70': !isWooCommerceActive }">
    <col-label><?php echo esc_html__('Reviews Tab', 'easy-video-reviews'); ?></col-label>
    <div class="w-full grid grid-cols-2 gap-2">
      <block>
        <col-label>Tab label</col-label>
        <input type="text" class="form-input w-full" v-model="preference.woocommerce.single_tab_label" placeholder="Review tab label">
      </block>
      <block>
        <col-label>Showcase limits</col-label>
        <input type="number" class="form-input w-full" v-model="preference.woocommerce.single_limits" min=0 max=99 placeholder="Review tab label">
      </block>
      <block>
        <col-label>Order By</col-label>
        <v-select :options="options.orderBy" v-model="preference.woocommerce.single_order_by"></v-select>
      </block>
      <block>
        <col-label>Order</col-label>
        <button-group :options="options.orders" v-model="preference.woocommerce.single_order"></button-group>
      </block>
    </div>
  </row>

  <row small  :class="{'pointer-events-none opacity-70': !isWooCommerceActive }">
    <col-label><?php echo esc_html__('After order complete', 'easy-video-reviews'); ?></col-label>

    <div class="flex flex-col gap-3 w-full">
      <v-switch v-model="preference.woocommerce.order_complete_button"><?php echo __('Show Recorder Button', 'easy-video-reviews'); ?></v-switch>
      <v-switch v-model="preference.woocommerce.order_complete_email"><?php echo __('Ask for review in order complete email', 'easy-video-reviews'); ?></v-switch>
    </div>
  </row>
</div>