<!-- form settings  -->
<v-section v-if="isScreen('forms') && preference">

  <v-title>Form Fields <pro></pro>
  </v-title>

  <!-- fields  --> 

  <row class="flex flex-col sm:flex-row gap-3 rounded-sm" :class="{'justify-center' : preference.forms && preference.forms.length == 0}" @click="falseDoor">

    <!-- form builder  -->


    <div class="w-full sm:w-96  border border-gray-100" :class="not_pro">

      <!-- if forms  -->
      <div v-if="preference.forms != null && preference.forms.length" v-for="(form, index) in preference.forms" class="w-full sm:w-96 bg-gray-50 relative transition duration-150 rounded-sm border border-t-0 border-gray-100">

        <!-- remove  -->
        <div class="absolute top-2 right-3 text-gray-300 hover:text-red-500 cursor-pointer" title="Double click to remove" @dblclick.prevent="preference.forms.splice(index, 1)">
          <span class="dashicons dashicons-trash"></span>
        </div>

        <div class="flex items-center shadow-sm mb-2 p-0" :class="{
          'hover:bg-sky-50' : !form.edit
        }">

          <!-- form edit open  -->
          <span class="cursor-pointer px-3 py-2 hover:bg-sky-600 hover:text-white font-medium tracking-wide text-sm transition duration-150" @click.prevent="form.edit = !form.edit"><span class="dashicons" :class="[form.edit ? 'dashicons-arrow-up-alt2' : 'dashicons-arrow-down-alt2']"></span></span>

          <!-- form header for edit mode  -->
          <!-- tabs  -->
          <span v-if="form.edit" v-for="(tabName, tab) in { basic: 'Basic', options: 'Options', advanced: 'Advanced'}" class="cursor-pointer px-3 py-2 hover:bg-sky-600 hover:text-white font-medium tracking-wide text-sm transition duration-150" v-show="tab == 'options' ? ['radio', 'select'].includes(form.type) : tab == 'advanced' ? form.type != 'hidden' : true" :class="{'bg-sky-600 text-white' : tab == form.tab, 'text-gray-600' : tab != form.tab}" @click.prevent="form.tab = tab">{{tabName}}</span>

          <!-- form header for non-edit mode -->
          <div v-else class="block w-full px-3 font-medium tracking-wide text-gray-600 flex items-center gap-2 cursor-pointer" @click.prevent="form.edit = 1">
            <span class="text-sky-600">[{{form.type.toUpperCase()}}]</span>
            <span v-html="['hidden', 'html'].includes(form.type) ? form.id || `<em classs='italic text-gray-500'>Untitled</em>` : form.label || form.id || `<em classs='italic text-gray-500'>Untitled</em>`"></span>
          </div>
        </div>

        <!-- form fields  -->
        <div class="block p-5" v-if="form.edit">

          <!-- field  -->
          <block v-if="form.tab == 'basic'">
            <!-- field type  -->
            <row small center>
              <col-label small> Type</col-label>
              <v-select :disabled="!isPro" search="Search field" v-model="form.type" :options="formTypes" class="w-full"></v-select>
            </row>

            <!-- field name  -->
            <row small center v-if="!['html'].includes(form.type)">
              <col-label small>Name</col-label>
              <div class="w-full">
                <input :disabled="!isPro" type="text" class="form-input w-full" placeholder="Field Name" v-model="form.id">
              </div>
            </row>

            <!-- field label  -->
            <row small center v-if="!['html', 'hidden' ].includes(form.type)">
              <col-label small>Label</col-label>
              <div class="w-full">
                <input :disabled="!isPro" type="text" class="form-input w-full" placeholder="Field Label" v-model="form.label">
              </div>
            </row>

            <!-- field placeholder  -->
            <row small center v-if="!['html', 'checkbox', 'radio', 'rating', 'color', 'date', 'time', 'datetime-local', 'month', 'week', 'hidden', 'range'].includes(form.type)">
              <col-label small>Placeholder</col-label>
              <div class="w-full">
                <input :disabled="!isPro" type="text" class="form-input w-full" placeholder="Placeholder" v-model="form.placeholder">
              </div>
            </row>

            <!-- field default  -->
            <row small :center="!['textarea'].includes(form.type)" v-if="!['html', 'rating'].includes(form.type)">
              <col-label small>Default</col-label>
              <div class="w-full flex items-center gap-1">
                <input v-if="!['select', 'checkbox', 'radio', 'textarea', 'range'].includes(form.type)" :type="['password', 'hidden'].includes(form.type) ? 'text' : form.type" class="w-full" placeholder="Default" :class="{'form-input' : !['range'].includes(form.type)}" v-model="form.default" :min="['number', 'range'].includes(form.type) ? form.min : false" :max="['number', 'range'].includes(form.type) ? form.max : false" :step="['number', 'range'].includes(form.type) ? form.step : false">
                <Slider v-if="['range'].includes(form.type)" v-model="form.default" :min="form.min" :max="form.max || false" :step="form.step || false"></Slider>
                <v-select :disabled="!isPro" v-if="['select', 'radio'].includes(form.type)" :options="form.options" v-model="form.default">
                </v-select>
                <v-switch v-if="['checkbox'].includes(form.type)" v-model="form.default">Checked</v-switch>
                <textarea v-if="['textarea'].includes(form.type)" rows="3" class="w-full form-input" placeholder="Default value" v-model="form.default"></textarea>
              </div>
            </row>

            <!-- field html  -->
            <block small v-if="['html'].includes(form.type)">
              <col-label>HTML</col-label>
              <textarea class="form-input" rows="6" placeholder="HTML Syntax" v-model="form.html"></textarea>
            </block>


            <!-- textarea rows  -->
            <row small center v-if="['textarea'].includes(form.type)">
              <col-label small>Rows</col-label>
              <block no_margin>
                <input type="number" min="0" class="form-input w-full" placeholder="Rows" v-model="form.rows" max="f00">
              </block>
            </row>

            <!-- field range  -->
            <row small center v-if="['number', 'range', 'rating'].includes(form.type)">
              <col-label small>Range</col-label>
              <div class="flex items-center w-full gap-2">
                <input :disabled="!isPro" v-if="!['rating'].includes(form.type)" type="number" class="form-input w-full" placeholder="Minimum" v-model="form.min">
                <input :disabled="!isPro" type="number" class="form-input w-full" placeholder="Maximum" v-model="form.max" :max="form.type == 'rating' ? 10 : false">
                <input :disabled="!isPro" v-if="['range'].includes(form.type)" type="number" class="form-input w-full" placeholder="Step" v-model="form.step">
              </div>
            </row>

            <!-- field inline  -->
            <row small v-if="['radio'].includes(form.type)">
              <col-label small>Style</col-label>
              <div class="w-full">
                <v-switch :disabled="!isPro" v-model="form.inline">Inline options</v-switch>
              </div>
            </row>
            <!-- field required  -->
            <row small v-if="!['html', 'hidden'].includes(form.type)">
              <col-label small>Required</col-label>
              <div class="w-full">
                <v-switch :disabled="!isPro" v-model="form.required">Field is required</v-switch>
              </div>
            </row>

          </block>

          <!-- options  -->
          <block v-if="form.tab == 'options'">
            <!-- field options for select and radio -->
            <block v-if="['radio', 'select'].includes(form.type)">

              <col-label v-if="form.options && form.options.length">
                <?php echo esc_html__('Options', 'easy-video-reviews'); ?></col-label>

              <div v-if="form.options && form.options.length" class="flex items-center gap-1.5" v-for="(opt, i) in form.options">
                <input :disabled="!isPro" type="text" class="form-input w-1/2" placeholder="Option label" v-model="preference.forms[index].options[i].label">
                <input :disabled="!isPro" type="text" class="form-input w-1/2" placeholder="Value" v-model="preference.forms[index].options[i].value">

                <a class="text-red-400 hover:bg-red-400 hover:text-white px-1 py-1 cursor-pointer" @click.prevent="preference.forms[index].options.splice(i, 1)">
                  <span class="dashicons dashicons-trash"></span>
                </a>
              </div>

              <div v-else class="text-center text-gray-500">
                <?php echo __('Add your first option', 'easy-video-reviews'); ?></div>

              <div class="mt-2" :class="form.options && form.options.length ? 'text-right' : 'text-center'">
                <v-button :disabled="!isPro" size="xs" @click.prevent="addOption(index)">
                  <?php echo esc_html__('Add option', 'easy-video-reviews'); ?></v-button>
              </div>
            </block>

            <div v-if="form.type == 'textarea'" class="flex sm:items-center w-full flex-col sm:flex-row mb-3">
              <input :disabled="!isPro" type="text" class="input-text form-input mr-2  mb-2 sm:mb-0 text-sm" placeholder="Columns" v-model="form.cols">
              <input :disabled="!isPro" type="text" class="form-input input-text  mb-2 sm:mb-0 text-sm" placeholder="Rows" v-model="form.rows">
            </div>

          </block>

          <!-- advanced  -->
          <block v-if="form.tab == 'advanced'">

            <!-- instruction  -->
            <block small v-if="!['html', 'hidden'].includes(form.type)">
              <col-label>Details</col-label>
              <div class="w-full">
                <textarea :disabled="!isPro" v-model="form.details" class="form-input w-full py-3" placeholder="Details"></textarea>
              </div>
            </block>

            <!-- custom class  -->
            <block small>
              <col-label>Custom Class</col-label>
              <div class="w-full">
                <textarea :disabled="!isPro" v-model="form.class" class="form-input w-full py-3" placeholder="Custom class"></textarea>
              </div>
            </block>

            <!-- before  -->
            <row small center v-if="['text', 'number', 'url', 'email', 'date', 'time', 'datetime-local'].includes(form.type)">
              <col-label small>Before</col-label>
              <input type="text" :disabled="!isPro" v-model="form.before" class="form-input w-full py-3" placeholder="Before field"></input>
            </row>

            <!-- after  -->
            <row small center v-if="['text', 'number', 'url', 'email', 'date', 'time', 'datetime-local'].includes(form.type)">
              <col-label small>After</col-label>
              <input type="text" :disabled="!isPro" v-model="form.after" class="form-input w-full py-3" placeholder="After field"></input>
            </row>


          </block>
        </div>

      </div>

      <!-- if no forms  -->
      <div v-else class="text-center text-gray-600 mt-4 text-base">Add your first form field</div>

      <!-- add field  -->
      <div class="text-center my-4">
        <v-button size="xs" @click.prevent="if(!preference.forms){preference.forms = []}; preference.forms.push({edit: 1, tab: 'basic', type: 'text', color: '#ffffff', bgcolor: '#b64646', fontsize: 13})" :disabled="!isPro">
          <?php echo esc_html__('Add field', 'easy-video-reviews'); ?>
        </v-button>

      </div>

    </div>

    <!-- form preview  -->
    <div class="w-full px-5 py-3 border border-gray-100" :class="not_pro">
      <v-title>Preview</v-title>

      <!-- preview  -->
      <form action="#" class="w-80 p-4 max-w-full mx-auto shadow  sticky top-14" :class="{'pb-1.5' : preference.forms && preference.forms.length}">

        <div class="w-full h-36 bg-gray-800 rounded-sm" :class="{'mb-3' : preference.forms && preference.forms.length}"></div>

        <div v-if="preference.forms && preference.forms.length" v-for="(form, index) in preference.forms" :class="[form.class]">

          <!-- input  -->
          <block small v-if="['text', 'tel', 'number', 'password', 'email', 'url', 'date', 'week', 'time', 'datetime-local'].includes(form.type)">
            <col-label :for="form.id" v-if="form.label">{{form.label}} <span v-if="form.required" class="text-red-400 ml-1">*</span></col-label>
            <div class="w-full">
              <div class="flex items-center gap-1.5">
                <span class="tracking-wide text-sm" v-if="form.before">{{form.before}}</span>
                <input :disabled="!isPro" :id="form.id" class="w-full" :class="{'form-input' : form.type != 'range'}" :type="form.type" :placeholder="form.placeholder" v-model="form.default" :min="['range', 'number'].includes(form.type) ? form.min : false" :max="['range', 'number'].includes(form.type) ? form.max : false" :step="['range', 'number'].includes(form.type) ? form.step : false">
                <span class="tracking-wide text-sm" v-if="form.after">{{form.after}}</span>
              </div>
              <div class="mt-1 text-gray-500 text-xs w-full text-justify">{{form.details}}</div>
            </div>
          </block>

          <!-- html  -->
          <block small v-if="['html'].includes(form.type)">
            <col-label :for="form.id" v-if="form.label">{{form.label}}</col-label>
            <div v-if="form.html" class="w-full" v-html="form.html" :id="form.id"></div>
          </block>
          <!-- html  -->
          <block small v-if="['range'].includes(form.type)">
            <col-label :for="form.id" v-if="form.label">{{form.label}}</col-label>
            <Slider v-model="form.value" :min="form.min" :max="form.max" :step="form.step"/>
          </block>


          <!-- textarea  -->
          <block small v-if="['textarea'].includes(form.type)">
            <col-label :for="form.id" v-if="form.label">{{form.label}} <span v-if="form.required" class="text-red-400 ml-1">*</span></col-label>
            <div class="w-full">
              <textarea :disabled="!isPro" class="w-full form-input" :rows="form.rows" :id="form.id" :value="form.default" :placeholder="form.placeholder"></textarea>
              <div class="mt-1 text-gray-500 text-xs w-full text-justify">{{form.details}}</div>
            </div>
          </block>


          <!-- rating  -->
          <block small v-if="['rating'].includes(form.type)">
            <col-label :for="form.id" v-if="form.label">{{form.label}} <span v-if="form.required" class="text-red-400 ml-1">*</span></col-label>
            <div class="w-full -mt-3">
              <div class="flex items-center gap-1.5 h-10">
                <span class="dashicons dashicons-star-filled text-2xl cursor-pointer text-gray-300 hover:text-sky-600 p-0 m-0" v-for="n in form.max" @mouseover="form.value = n" @click.prevent="form.value = n" :class="{'text-sky-600' : n <= form.value}"></span>
              </div>
              <div class="mt-1 text-gray-500 text-xs w-full text-justify">{{form.details}}</div>
            </div>
          </block>

          <!-- checkbox  -->
          <block small v-if="['checkbox'].includes(form.type)">
            <block>
              <label class="flex items-center gap-2"><input type="checkbox" :required="form.required" v-model="form.default" class="p-0 m-0 w-4 h-4  rounded-none border-gray-400 outline-none focus:outline-none ring-0 checked:border-sky-600"> <span class="font-medium tracking-wide text-gray-600">{{form.label}}</span> <span v-if="form.required" class="text-red-400 ml-1">*</span></label>
              <div class="mt-0.5 text-gray-500 text-xs w-full text-justify">{{form.details}}</div>
            </block>
          </block>

          <!-- radio  -->
          <block small v-if="['radio'].includes(form.type)">
            <col-label :for="form.id" v-if="form.label">{{form.label}} <span v-if="form.required" class="text-red-400 ml-1">*</span></col-label>
            <block no_margin>
              <row no_margin :block="!form.inline">
                <label class="flex items-center gap-2 cursor-pointer" v-for="opt in form.options"><input type="radio" class="p-0 m-0" :name="form.id" :checked="form.default == opt.value" :value="opt.value"> {{opt.label}}</label>
              </row>
              <div class="mt-0.5 text-gray-500 text-xs w-full text-justify">{{form.details}}</div>
            </block>
          </block>

          <!-- hidden  -->
          <input v-if="form.type == 'hidden'" type="hidden" :name="form.id" :value="form.default">

          <!-- color  -->
          <block small v-if="['color'].includes(form.type)">
            <row center no_margin class="relative">
              <col-label small :for="form.id" v-if="form.label">{{form.label}} <span v-if="form.required" class="text-red-400 ml-1">*</span></col-label>
              <div class="w-full">
                <color v-model="form.default"></color>
              </div>
            </row>
            <div class="mt-1 text-gray-500 text-xs w-full text-justify">{{form.details}}</div>
          </block>


          <!-- select  -->
          <block small v-if="['select'].includes(form.type)">
            <col-label :for="form.id" v-if="form.label">{{form.label}} <span v-if="form.required" class="text-red-400 ml-1">*</span></col-label>
            <div class="w-full">
              <v-select :disabled="!isPro" :options="form.options" v-model="form.default" :placeholder="form.placeholder"></v-select>
              <div class="mt-1 text-gray-500 text-xs w-full text-justify">{{form.details}}</div>
            </div>
          </block>

        </div>

      </form>


    </div>

  </row>






  <!-- submit button  -->
  <div class="text-right mt-3">
    <v-button :disabled="!isPro" @click.prevent="savePreferences" :loading="temp.savingPreference" message="Saving..">
      <?php echo esc_html__('Save settings', 'easy-video-reviews'); ?></v-button>
  </div>

</v-section>