const path = require("path"); 

const { VueLoaderPlugin } = require("vue-loader")

module.exports = {
  entry: "./src/js/frontend/index.js",
  mode: "production",
  output: {
    filename: "app.min.js",
    path: path.resolve(__dirname, "./public/js/"),
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        exclude: /node_modules/,
        loader: "babel-loader",
      },
      {
        test: /\.vue$/,
        loader: "vue-loader",
      },
    ],
  },
  resolve: {
    alias: {
      vue$: "vue/dist/vue.esm-bundler.js",
    },
  },
  plugins: [new VueLoaderPlugin()],
};
